title = "Duckquill"
base_url = "https://duckquill.daudix.one"
description = "Opinionated, modern, pretty, and clean Zola theme."

compile_sass = true
minify_html = true
generate_feeds = true
# Only the first file will be used in the navbar feed button,
# other feeds will still be available in page's head.
feed_filenames = ["rss.xml", "atom.xml"]
build_search_index = true
author = "Duck Quack"

# Based on https://github.com/welpo/tabi
#
# To translate the entire theme, there must be a file with the same ISO 639-1 or BCP 47
# language code in the `i18n` directory of your site or the Duckquill theme.
# For example, "i18n/fr.toml" for French or "i18n/zh-Hans.toml" for Simplified Chinese.
# Otherwise the theme will be in English.
#
# ISO 639-1: https://localizely.com/iso-639-1-list/
# BCP 47: https://www.iana.org/assignments/language-subtag-registry/language-subtag-registry
default_language = "en"

taxonomies = [{ name = "tags", feed = true }]

[markdown]
highlight_code = true
highlight_theme = "css"
highlight_themes_css = [
	{ theme = "solarized-dark", filename = "syntax-theme-dark.css" },
	{ theme = "solarized-light", filename = "syntax-theme-light.css" },
]
smart_punctuation = true
bottom_footnotes = true

[search]
index_format = "elasticlunr_json"

[languages.ar]
title = "Duckquill"
description = "سمة زولا العصرية والحديثة والجميلة والنظيفة."
generate_feeds = true

taxonomies = [{ name = "tags", feed = true }]

[languages.es]
title = "Duckquill"
description = "Tema Zola de opinión, moderno, bonito y limpio."
generate_feeds = true

taxonomies = [{ name = "tags", feed = true }]

[languages.ms]
title = "Duckquill"
description = "Tema Zola yang berpandangan, moden, cantik dan bersih."
generate_feeds = true

taxonomies = [{ name = "tags", feed = true }]

[languages.ru]
title = "Duckquill"
description = "Мнимая, современная, симпатичная, и аккуратная тема Zola."
generate_feeds = true

taxonomies = [{ name = "tags", feed = true }]

[languages.fa]
title = "Duckquill"
description = "پوسته ای صاحب نظر، به‌روز، زیبا و تمیز برای Zola."
generate_feeds = true

taxonomies = [{ name = "tags", feed = true }]

[languages.zh-Hans]
title = "Duckquill"
description = "有主见、现代、漂亮、简洁的 Zola 主题。"
generate_feeds = true

taxonomies = [{ name = "tags", feed = true }]

[extra]
# Which theme should be used by default (light/dark).
#
# default_theme = "dark"
#
# Sets theme and browser theme color.
# See https://developer.mozilla.org/en-US/docs/Web/HTML/Element/meta/name/theme-color
accent_color = "#ff7800"
# Ditto but for the dark theme.
# If not set regular variant will be used.
accent_color_dark = "#ffa348"
# Whether to fix low contrast in text selection, checkboxes, etc.
# Use only if the default doesn't provide enough contrast, e.g. the accent color is set to yellow.
#
# fix_contrast = true
#
# Ditto but for the dark theme.
fix_contrast_dark = true
# Whether to use fonts bundled with Duckquill instead of system ones.
# Keep in mind that it also changes the style of headings.
#
# bundled_fonts = true
#
# Use emoji as a favicon.
# Only one emoji is being rendered, everything else is truncated.
#
# emoji_favicon = "🦆🪶"
#
# URL to website's issue tracker
issues_url = "https://codeberg.org/daudix/duckquill/issues"
# URL to website's source code
source_url = "https://codeberg.org/daudix/duckquill"
# Additional CSS styles; expects them to be in the "./static/" directory.
# If you are using Sass it will be generated there automatically.
#
# styles = [
#   "YOUR_STYLE.css",
#   "ALSO_YOUR_STYLE.css"
# ]
#
# Additional JavaScript scripts; expects them to be in the "./static/" directory.
#
# scripts = [
#   "YOUR_SCRIPT.js",
#   "ALSO_YOUR_SCRIPT.js"
# ]
#
# Whether to show "copy code" button on all code blocks
# that have the language set.
# See https://www.getzola.org/documentation/content/syntax-highlighting/
show_copy_button = true
# Whether to show estimated read time in posts.
# Calculated using the simple math: number of words ÷ words per minute.
show_read_time = true
#
# words_per_minute = 200
#
# Whether to show a share button in articles.
# Uses https://shareopenly.org.
show_share_button = true
# Whether to enable the KaTeX library for rendering LaTeX.
# Note: This will make your page significantly heavier.
# Instead, consider enabling it per page/section.
# katex = true
#
# Whether to render table of contents on all pages.
# Will not be rendered if page doesn't have any headings.
# Can be set per page/section.
# toc = true
#
# Whether to render inline table of contents at the top of all pages,
# in addition to floating quick navigation buttons.
# Can be set per page/section.
# toc_inline = true
#
# Whether to use numbered (ordered) list for table of contents.
# Can be set per page/section.
# toc_ordered = true
#
# Whether to use Content Security Policy.
# Keep in mind that although this can potentially increase security,
# it can break some stuff, in which case you will need to set custom policy.
csp = [
	{ directive = "font-src", domains = ["'self'", "data:"] },
	{ directive = "img-src", domains = ["'self'", "https:", "data:"] },
	{ directive = "media-src", domains = ["'self'", "https:", "data:"] },
	{ directive = "script-src", domains = ["'self'", "'unsafe-inline'"] },
	{ directive = "style-src", domains = ["'self'", "'unsafe-inline'"] },
	{ directive = "frame-src", domains = ["https://player.vimeo.com", "https://www.youtube-nocookie.com"] },
	{ directive = "connect-src", domains = ["https:"] },
]
# Display outlines around all elements for debugging purposes
# debug_layout = true

[extra.nav]
# Whether to show the Atom/RSS feed button in the nav
show_feed = true
# Whether to show the manual theme switcher in the nav
show_theme_switcher = true
# Whether to show the link to the source repository in the nav
show_repo = true
# Links used in the nav.
# For local files use same link format as in Markdown,
# i.e. "@/blog/_index.md".
# See https://www.getzola.org/documentation/content/linking/#internal-links
links = [
	{ name = "Links", menu = [
		{ url = "@/blog/_index.md", name = "Blog" },
		{ url = "@/demo/index.md", name = "Demo" },
		{ url = "@/mods/index.md", name = "Mods" },
	] },
	{ url = "https://daudix.one/coffee/", name = "Coffee" },
]

[extra.footer]
# Links used in the footer.
# Same as the nav ones.
links = [
	{ url = "@/blog/_index.md", name = "Blog" },
	{ url = "@/demo/index.md", name = "Demo" },
	{ url = "@/mods/index.md", name = "Mods" },
	{ url = "https://daudix.one/coffee/", name = "Coffee" },
]
# Social links in the footer.
# Any URL-encoded SVG can be used as an icon.
# https://simpleicons.org is the recommended source of SVG icons.
# For URL encoding use https://yoksel.github.io/url-encoder/.
# Make sure that "external quotes" are set to "double".
socials = [
	{ url = "https://github.com", name = "GitHub", icon = "%3Csvg role='img' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Ctitle%3EGitHub%3C/title%3E%3Cpath d='M12 .297c-6.63 0-12 5.373-12 12 0 5.303 3.438 9.8 8.205 11.385.6.113.82-.258.82-.577 0-.285-.01-1.04-.015-2.04-3.338.724-4.042-1.61-4.042-1.61C4.422 18.07 3.633 17.7 3.633 17.7c-1.087-.744.084-.729.084-.729 1.205.084 1.838 1.236 1.838 1.236 1.07 1.835 2.809 1.305 3.495.998.108-.776.417-1.305.76-1.605-2.665-.3-5.466-1.332-5.466-5.93 0-1.31.465-2.38 1.235-3.22-.135-.303-.54-1.523.105-3.176 0 0 1.005-.322 3.3 1.23.96-.267 1.98-.399 3-.405 1.02.006 2.04.138 3 .405 2.28-1.552 3.285-1.23 3.285-1.23.645 1.653.24 2.873.12 3.176.765.84 1.23 1.91 1.23 3.22 0 4.61-2.805 5.625-5.475 5.92.42.36.81 1.096.81 2.22 0 1.606-.015 2.896-.015 3.286 0 .315.21.69.825.57C20.565 22.092 24 17.592 24 12.297c0-6.627-5.373-12-12-12'/%3E%3C/svg%3E" },
	{ url = "https://instagram.com", name = "Instagram", icon = "%3Csvg role='img' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Ctitle%3EInstagram%3C/title%3E%3Cpath d='M7.0301.084c-1.2768.0602-2.1487.264-2.911.5634-.7888.3075-1.4575.72-2.1228 1.3877-.6652.6677-1.075 1.3368-1.3802 2.127-.2954.7638-.4956 1.6365-.552 2.914-.0564 1.2775-.0689 1.6882-.0626 4.947.0062 3.2586.0206 3.6671.0825 4.9473.061 1.2765.264 2.1482.5635 2.9107.308.7889.72 1.4573 1.388 2.1228.6679.6655 1.3365 1.0743 2.1285 1.38.7632.295 1.6361.4961 2.9134.552 1.2773.056 1.6884.069 4.9462.0627 3.2578-.0062 3.668-.0207 4.9478-.0814 1.28-.0607 2.147-.2652 2.9098-.5633.7889-.3086 1.4578-.72 2.1228-1.3881.665-.6682 1.0745-1.3378 1.3795-2.1284.2957-.7632.4966-1.636.552-2.9124.056-1.2809.0692-1.6898.063-4.948-.0063-3.2583-.021-3.6668-.0817-4.9465-.0607-1.2797-.264-2.1487-.5633-2.9117-.3084-.7889-.72-1.4568-1.3876-2.1228C21.2982 1.33 20.628.9208 19.8378.6165 19.074.321 18.2017.1197 16.9244.0645 15.6471.0093 15.236-.005 11.977.0014 8.718.0076 8.31.0215 7.0301.0839m.1402 21.6932c-1.17-.0509-1.8053-.2453-2.2287-.408-.5606-.216-.96-.4771-1.3819-.895-.422-.4178-.6811-.8186-.9-1.378-.1644-.4234-.3624-1.058-.4171-2.228-.0595-1.2645-.072-1.6442-.079-4.848-.007-3.2037.0053-3.583.0607-4.848.05-1.169.2456-1.805.408-2.2282.216-.5613.4762-.96.895-1.3816.4188-.4217.8184-.6814 1.3783-.9003.423-.1651 1.0575-.3614 2.227-.4171 1.2655-.06 1.6447-.072 4.848-.079 3.2033-.007 3.5835.005 4.8495.0608 1.169.0508 1.8053.2445 2.228.408.5608.216.96.4754 1.3816.895.4217.4194.6816.8176.9005 1.3787.1653.4217.3617 1.056.4169 2.2263.0602 1.2655.0739 1.645.0796 4.848.0058 3.203-.0055 3.5834-.061 4.848-.051 1.17-.245 1.8055-.408 2.2294-.216.5604-.4763.96-.8954 1.3814-.419.4215-.8181.6811-1.3783.9-.4224.1649-1.0577.3617-2.2262.4174-1.2656.0595-1.6448.072-4.8493.079-3.2045.007-3.5825-.006-4.848-.0608M16.953 5.5864A1.44 1.44 0 1 0 18.39 4.144a1.44 1.44 0 0 0-1.437 1.4424M5.8385 12.012c.0067 3.4032 2.7706 6.1557 6.173 6.1493 3.4026-.0065 6.157-2.7701 6.1506-6.1733-.0065-3.4032-2.771-6.1565-6.174-6.1498-3.403.0067-6.156 2.771-6.1496 6.1738M8 12.0077a4 4 0 1 1 4.008 3.9921A3.9996 3.9996 0 0 1 8 12.0077'/%3E%3C/svg%3E" },
	{ url = "https://mastodon.social", name = "Mastodon", icon = "%3Csvg role='img' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Ctitle%3EMastodon%3C/title%3E%3Cpath d='M23.268 5.313c-.35-2.578-2.617-4.61-5.304-5.004C17.51.242 15.792 0 11.813 0h-.03c-3.98 0-4.835.242-5.288.309C3.882.692 1.496 2.518.917 5.127.64 6.412.61 7.837.661 9.143c.074 1.874.088 3.745.26 5.611.118 1.24.325 2.47.62 3.68.55 2.237 2.777 4.098 4.96 4.857 2.336.792 4.849.923 7.256.38.265-.061.527-.132.786-.213.585-.184 1.27-.39 1.774-.753a.057.057 0 0 0 .023-.043v-1.809a.052.052 0 0 0-.02-.041.053.053 0 0 0-.046-.01 20.282 20.282 0 0 1-4.709.545c-2.73 0-3.463-1.284-3.674-1.818a5.593 5.593 0 0 1-.319-1.433.053.053 0 0 1 .066-.054c1.517.363 3.072.546 4.632.546.376 0 .75 0 1.125-.01 1.57-.044 3.224-.124 4.768-.422.038-.008.077-.015.11-.024 2.435-.464 4.753-1.92 4.989-5.604.008-.145.03-1.52.03-1.67.002-.512.167-3.63-.024-5.545zm-3.748 9.195h-2.561V8.29c0-1.309-.55-1.976-1.67-1.976-1.23 0-1.846.79-1.846 2.35v3.403h-2.546V8.663c0-1.56-.617-2.35-1.848-2.35-1.112 0-1.668.668-1.67 1.977v6.218H4.822V8.102c0-1.31.337-2.35 1.011-3.12.696-.77 1.608-1.164 2.74-1.164 1.311 0 2.302.5 2.962 1.498l.638 1.06.638-1.06c.66-.999 1.65-1.498 2.96-1.498 1.13 0 2.043.395 2.74 1.164.675.77 1.012 1.81 1.012 3.12z'/%3E%3C/svg%3E" },
	{ url = "https://twitter.com", name = "Twitter", icon = "%3Csvg role='img' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Ctitle%3ETwitter%3C/title%3E%3Cpath d='M21.543 7.104c.015.211.015.423.015.636 0 6.507-4.954 14.01-14.01 14.01v-.003A13.94 13.94 0 0 1 0 19.539a9.88 9.88 0 0 0 7.287-2.041 4.93 4.93 0 0 1-4.6-3.42 4.916 4.916 0 0 0 2.223-.084A4.926 4.926 0 0 1 .96 9.167v-.062a4.887 4.887 0 0 0 2.235.616A4.928 4.928 0 0 1 1.67 3.148 13.98 13.98 0 0 0 11.82 8.292a4.929 4.929 0 0 1 8.39-4.49 9.868 9.868 0 0 0 3.128-1.196 4.941 4.941 0 0 1-2.165 2.724A9.828 9.828 0 0 0 24 4.555a10.019 10.019 0 0 1-2.457 2.549z'/%3E%3C/svg%3E" },
]
# Whether to show "© Title, YEAR"
show_copyright = true
# Whether to show "Powered by Zola and Duckquill"
show_powered_by = true
# Whether to show link to website source
show_source = false
# Custom copyright text
#
# copyright = "© *Aperture* **Science** ~~Innovators~~, `1972`"

# Based on https://carlschwan.eu/2020/12/29/adding-comments-to-your-static-blog-with-mastodon/
#
# Mastodon-powered commenting.
# Values can be overridden in the front-matter, e.g.
# for multi-author blogs or guest posts.
#
# These variables are also used for Mastodon verification,
# the needed rel="me" link is set in the head based on these.
[extra.comments]
# Your Mastodon API host; instance that you have an account on.
host = "vmst.io"
# Your Mastodon username; used to determine who the original poster is.
user = "daudix"
# Whether to show the QR code to Mastodon post
show_qr = true

# GoatCounter analytics; enabled only if present in config.
[extra.goatcounter]
# Your GoatCounter server; goatcounter.com is used by default.
#
# host = "YOUR_SERVER"
#
# Your GoatCounter username
user = "duckquill"
